Skip to main content
PATCH
Update organisation settings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Ankra-Organisation-Id
string<uuid>

Act in another organisation the token's owner is an active member of; defaults to the token's own organisation.

Path Parameters

organisation_id
string<uuid>
required

Body

application/json
name
string
slug
string
auto_upgrade_agent
boolean
proactive_ai_insights_enabled
boolean
ai_insight_high_restart_threshold
integer | null
ai_insight_high_restart_recency_hours
integer | null
ai_insight_exclude_system_namespaces
boolean
mfa_required
boolean
security_baseline_enabled
boolean
standard_changes_enabled
boolean
public_canvas_publishing
string
reason
string

Response

Organisation updated

success
boolean
required
message
string
required